"""Add indexes

Revision ID: 10b8682669ef
Revises: 8be3368979d7
Create Date: 2019-09-26 14:27:26.665665

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '10b8682669ef'
down_revision = '8be3368979d7'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index(op.f('ix_actuators_gateway_id'), 'actuators', ['gateway_id'], unique=False)
    op.create_index(op.f('ix_actuators_last_checked'), 'actuators', ['last_checked'], unique=False)
    op.create_index(op.f('ix_chunk_devices_chunk_id'), 'chunk_devices', ['chunk_id'], unique=False)
    op.create_index(op.f('ix_chunk_devices_device_id'), 'chunk_devices', ['device_id'], unique=False)
    op.create_index(op.f('ix_chunks_created_at'), 'chunks', ['created_at'], unique=False)
    op.create_index(op.f('ix_chunks_created_min'), 'chunks', ['created_min'], unique=False)
    op.create_index(op.f('ix_chunks_day'), 'chunks', ['day'], unique=False)
    op.create_index(op.f('ix_chunks_finished_at'), 'chunks', ['finished_at'], unique=False)
    op.create_index(op.f('ix_chunks_month'), 'chunks', ['month'], unique=False)
    op.create_index(op.f('ix_chunks_stream_id'), 'chunks', ['stream_id'], unique=False)
    op.create_index(op.f('ix_chunks_year'), 'chunks', ['year'], unique=False)
    op.create_index(op.f('ix_devices_last_checked'), 'devices', ['last_checked'], unique=False)
    op.create_index(op.f('ix_gateways_last_checked'), 'gateways', ['last_checked'], unique=False)
    op.create_index(op.f('ix_gateways_serial'), 'gateways', ['serial'], unique=True)
    op.drop_constraint('gateways_serial_key', 'gateways', type_='unique')
    op.create_index(op.f('ix_pos_created_at'), 'pos', ['created_at'], unique=False)
    op.create_index(op.f('ix_pos_created_min'), 'pos', ['created_min'], unique=False)
    op.create_index(op.f('ix_pos_device_id'), 'pos', ['device_id'], unique=False)
    op.create_index(op.f('ix_sensors_gateway_id'), 'sensors', ['gateway_id'], unique=False)
    op.create_index(op.f('ix_sensors_last_checked'), 'sensors', ['last_checked'], unique=False)
    op.create_index(op.f('ix_settings_actuator_id'), 'settings', ['actuator_id'], unique=False)
    op.create_index(op.f('ix_settings_gateway_id'), 'settings', ['gateway_id'], unique=False)
    op.create_index(op.f('ix_settings_last_checked'), 'settings', ['last_checked'], unique=False)
    op.create_index(op.f('ix_settings_last_updated'), 'settings', ['last_updated'], unique=False)
    op.create_index(op.f('ix_settings_sensor_id'), 'settings', ['sensor_id'], unique=False)
    op.create_index(op.f('ix_settings_stream_id'), 'settings', ['stream_id'], unique=False)
    op.create_index(op.f('ix_settings_user_id'), 'settings', ['user_id'], unique=False)
    op.create_index(op.f('ix_stream_devices_device_id'), 'stream_devices', ['device_id'], unique=False)
    op.create_index(op.f('ix_stream_devices_last_checked'), 'stream_devices', ['last_checked'], unique=False)
    op.create_index(op.f('ix_stream_devices_stream_id'), 'stream_devices', ['stream_id'], unique=False)
    op.create_index(op.f('ix_stream_history_stream_id'), 'stream_history', ['stream_id'], unique=False)
    op.create_index(op.f('ix_streams_gateway_id'), 'streams', ['gateway_id'], unique=False)
    op.create_index(op.f('ix_streams_last_checked'), 'streams', ['last_checked'], unique=False)
    op.create_index(op.f('ix_streams_ldap_id'), 'streams', ['ldap_id'], unique=True)
    op.create_index(op.f('ix_streams_serial'), 'streams', ['serial'], unique=True)
    op.drop_constraint('streams_ldap_id_key', 'streams', type_='unique')
    op.drop_constraint('streams_serial_key', 'streams', type_='unique')
    op.create_index(op.f('ix_wholepos_created_at'), 'wholepos', ['created_at'], unique=False)
    op.create_index(op.f('ix_wholepos_created_min'), 'wholepos', ['created_min'], unique=False)
    op.create_index(op.f('ix_wholepos_device_id'), 'wholepos', ['device_id'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_wholepos_device_id'), table_name='wholepos')
    op.drop_index(op.f('ix_wholepos_created_min'), table_name='wholepos')
    op.drop_index(op.f('ix_wholepos_created_at'), table_name='wholepos')
    op.create_unique_constraint('streams_serial_key', 'streams', ['serial'])
    op.create_unique_constraint('streams_ldap_id_key', 'streams', ['ldap_id'])
    op.drop_index(op.f('ix_streams_serial'), table_name='streams')
    op.drop_index(op.f('ix_streams_ldap_id'), table_name='streams')
    op.drop_index(op.f('ix_streams_last_checked'), table_name='streams')
    op.drop_index(op.f('ix_streams_gateway_id'), table_name='streams')
    op.drop_index(op.f('ix_stream_history_stream_id'), table_name='stream_history')
    op.drop_index(op.f('ix_stream_devices_stream_id'), table_name='stream_devices')
    op.drop_index(op.f('ix_stream_devices_last_checked'), table_name='stream_devices')
    op.drop_index(op.f('ix_stream_devices_device_id'), table_name='stream_devices')
    op.drop_index(op.f('ix_settings_user_id'), table_name='settings')
    op.drop_index(op.f('ix_settings_stream_id'), table_name='settings')
    op.drop_index(op.f('ix_settings_sensor_id'), table_name='settings')
    op.drop_index(op.f('ix_settings_last_updated'), table_name='settings')
    op.drop_index(op.f('ix_settings_last_checked'), table_name='settings')
    op.drop_index(op.f('ix_settings_gateway_id'), table_name='settings')
    op.drop_index(op.f('ix_settings_actuator_id'), table_name='settings')
    op.drop_index(op.f('ix_sensors_last_checked'), table_name='sensors')
    op.drop_index(op.f('ix_sensors_gateway_id'), table_name='sensors')
    op.drop_index(op.f('ix_pos_device_id'), table_name='pos')
    op.drop_index(op.f('ix_pos_created_min'), table_name='pos')
    op.drop_index(op.f('ix_pos_created_at'), table_name='pos')
    op.create_unique_constraint('gateways_serial_key', 'gateways', ['serial'])
    op.drop_index(op.f('ix_gateways_serial'), table_name='gateways')
    op.drop_index(op.f('ix_gateways_last_checked'), table_name='gateways')
    op.drop_index(op.f('ix_devices_last_checked'), table_name='devices')
    op.drop_index(op.f('ix_chunks_year'), table_name='chunks')
    op.drop_index(op.f('ix_chunks_stream_id'), table_name='chunks')
    op.drop_index(op.f('ix_chunks_month'), table_name='chunks')
    op.drop_index(op.f('ix_chunks_finished_at'), table_name='chunks')
    op.drop_index(op.f('ix_chunks_day'), table_name='chunks')
    op.drop_index(op.f('ix_chunks_created_min'), table_name='chunks')
    op.drop_index(op.f('ix_chunks_created_at'), table_name='chunks')
    op.drop_index(op.f('ix_chunk_devices_device_id'), table_name='chunk_devices')
    op.drop_index(op.f('ix_chunk_devices_chunk_id'), table_name='chunk_devices')
    op.drop_index(op.f('ix_actuators_last_checked'), table_name='actuators')
    op.drop_index(op.f('ix_actuators_gateway_id'), table_name='actuators')
    # ### end Alembic commands ###
