"""Initial

Revision ID: 615b9338dc2e
Revises: 
Create Date: 2019-07-31 18:07:09.481400

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '615b9338dc2e'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('devices',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=150), nullable=True),
    sa.Column('address', sa.String(length=150), nullable=True),
    sa.Column('port', sa.Integer(), nullable=True),
    sa.Column('active', sa.Boolean(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('gateways',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=150), nullable=True),
    sa.Column('serial', sa.String(length=150), nullable=True),
    sa.Column('ldap_id', sa.String(length=150), nullable=True),
    sa.Column('address', sa.String(length=150), nullable=True),
    sa.Column('port', sa.Integer(), nullable=True),
    sa.Column('dataPort', sa.Integer(), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('ldap_id'),
    sa.UniqueConstraint('serial')
    )
    op.create_table('groups',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=100), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('smbs',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('filepath', sa.String(length=2048), nullable=True),
    sa.Column('filesize', sa.Integer(), nullable=True),
    sa.Column('content', sa.Text(), nullable=True),
    sa.Column('created', sa.String(length=100), nullable=True),
    sa.Column('last_modified', sa.String(length=100), nullable=True),
    sa.Column('retrieved_at', sa.DateTime(), nullable=True),
    sa.Column('md5_sum', sa.String(length=50), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('users',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('first_name', sa.String(length=100), nullable=True),
    sa.Column('last_name', sa.String(length=100), nullable=True),
    sa.Column('username', sa.String(length=50), nullable=True),
    sa.Column('password', sa.String(length=150), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('username')
    )
    op.create_table('actuators',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=150), nullable=True),
    sa.Column('serial', sa.String(length=150), nullable=True),
    sa.Column('ldap_id', sa.String(length=150), nullable=True),
    sa.Column('gateway_id', sa.Integer(), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['gateway_id'], ['gateways.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('ldap_id'),
    sa.UniqueConstraint('serial')
    )
    op.create_table('pos',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('created_min', sa.Integer(), nullable=True),
    sa.Column('text', sa.String(length=1000), nullable=True),
    sa.Column('device_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['device_id'], ['devices.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('sensors',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=150), nullable=True),
    sa.Column('serial', sa.String(length=150), nullable=True),
    sa.Column('ldap_id', sa.String(length=150), nullable=True),
    sa.Column('gateway_id', sa.Integer(), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['gateway_id'], ['gateways.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('ldap_id'),
    sa.UniqueConstraint('serial')
    )
    op.create_table('streams',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=150), nullable=True),
    sa.Column('serial', sa.String(length=150), nullable=True),
    sa.Column('ldap_id', sa.String(length=150), nullable=True),
    sa.Column('klass', sa.String(length=50), nullable=True),
    sa.Column('gateway_id', sa.Integer(), nullable=True),
    sa.Column('input_url', sa.String(length=2048), nullable=True),
    sa.Column('meta', sa.String(length=2048), nullable=True),
    sa.Column('is_live', sa.Boolean(), nullable=True),
    sa.Column('is_record', sa.Boolean(), nullable=True),
    sa.Column('is_forward', sa.Boolean(), nullable=True),
    sa.Column('ref', sa.String(length=150), nullable=True),
    sa.Column('last_activity', sa.DateTime(), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['gateway_id'], ['gateways.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('ldap_id'),
    sa.UniqueConstraint('serial')
    )
    op.create_table('user_groups',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('group_id', sa.Integer(), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['group_id'], ['groups.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('chunks',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('finished_at', sa.DateTime(), nullable=True),
    sa.Column('created_min', sa.Integer(), nullable=True),
    sa.Column('year', sa.Integer(), nullable=True),
    sa.Column('month', sa.Integer(), nullable=True),
    sa.Column('day', sa.Integer(), nullable=True),
    sa.Column('stream_id', sa.Integer(), nullable=True),
    sa.Column('filename', sa.String(length=1024), nullable=True),
    sa.Column('filesize', sa.BigInteger(), nullable=True),
    sa.Column('completed', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['stream_id'], ['streams.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('settings',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('gateway_id', sa.Integer(), nullable=True),
    sa.Column('stream_id', sa.Integer(), nullable=True),
    sa.Column('actuator_id', sa.Integer(), nullable=True),
    sa.Column('sensor_id', sa.Integer(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('key', sa.String(length=150), nullable=True),
    sa.Column('value', sa.String(length=250), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['actuator_id'], ['actuators.id'], ),
    sa.ForeignKeyConstraint(['gateway_id'], ['gateways.id'], ),
    sa.ForeignKeyConstraint(['sensor_id'], ['sensors.id'], ),
    sa.ForeignKeyConstraint(['stream_id'], ['streams.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stream_devices',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('stream_id', sa.Integer(), nullable=True),
    sa.Column('device_id', sa.Integer(), nullable=True),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.Column('last_checked', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['device_id'], ['devices.id'], ),
    sa.ForeignKeyConstraint(['stream_id'], ['streams.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stream_history',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('stream_id', sa.Integer(), nullable=True),
    sa.Column('time', sa.DateTime(), nullable=True),
    sa.Column('activity', sa.String(length=150), nullable=True),
    sa.ForeignKeyConstraint(['stream_id'], ['streams.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('chunk_devices',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('chunk_id', sa.Integer(), nullable=True),
    sa.Column('device_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['chunk_id'], ['chunks.id'], ),
    sa.ForeignKeyConstraint(['device_id'], ['devices.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('chunk_devices')
    op.drop_table('stream_history')
    op.drop_table('stream_devices')
    op.drop_table('settings')
    op.drop_table('chunks')
    op.drop_table('user_groups')
    op.drop_table('streams')
    op.drop_table('sensors')
    op.drop_table('pos')
    op.drop_table('actuators')
    op.drop_table('users')
    op.drop_table('smbs')
    op.drop_table('groups')
    op.drop_table('gateways')
    op.drop_table('devices')
    # ### end Alembic commands ###
