"""Add wholepos

Revision ID: 8be3368979d7
Revises: a224fa6c6c8f
Create Date: 2019-09-13 15:40:10.541401

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '8be3368979d7'
down_revision = 'a224fa6c6c8f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('wholepos',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('created_min', sa.Integer(), nullable=True),
    sa.Column('text', sa.String(length=1000), nullable=True),
    sa.Column('device_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['device_id'], ['devices.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    op.alter_column('pos', 'text',
               existing_type=sa.VARCHAR(length=1000),
               type_=sa.String(length=100000),
               existing_nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('pos', 'text',
               existing_type=sa.String(length=100000),
               type_=sa.VARCHAR(length=1000),
               existing_nullable=True)
    op.drop_table('wholepos')
    # ### end Alembic commands ###
