"""Update cascade

Revision ID: a224fa6c6c8f
Revises: 93106069bd49
Create Date: 2019-09-12 16:28:49.081746

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a224fa6c6c8f'
down_revision = '93106069bd49'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('pos_device_id_fkey', 'pos', type_='foreignkey')
    op.create_foreign_key(None, 'pos', 'devices', ['device_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('user_groups_user_id_fkey', 'user_groups', type_='foreignkey')
    op.drop_constraint('user_groups_group_id_fkey', 'user_groups', type_='foreignkey')
    op.create_foreign_key(None, 'user_groups', 'groups', ['group_id'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'user_groups', 'users', ['user_id'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'user_groups', type_='foreignkey')
    op.drop_constraint(None, 'user_groups', type_='foreignkey')
    op.create_foreign_key('user_groups_group_id_fkey', 'user_groups', 'groups', ['group_id'], ['id'])
    op.create_foreign_key('user_groups_user_id_fkey', 'user_groups', 'users', ['user_id'], ['id'])
    op.drop_constraint(None, 'pos', type_='foreignkey')
    op.create_foreign_key('pos_device_id_fkey', 'pos', 'devices', ['device_id'], ['id'])
    # ### end Alembic commands ###
