import asyncio


class FlowControl():
    def __init__(self):
        self.m_cond = asyncio.Condition()
        self.m_paused = False

    async def pause(self):
        self.m_paused = True
        async with self.m_cond:
            try:
                await self.m_cond.wait_for(lambda: not self.m_paused)
            except KeyboardInterrupt:
                pass

    async def resume(self):
        self.m_paused = False
        async with self.m_cond:
            self.m_cond.notify()
